Main Page Modules Class Hierarchy Compound List File List Compound Members

# cTopology::Link Class Reference

`#include <ctopo.h>`

Inheritance diagram for cTopology::Link::

List of all members.

## Public Methods
double | weight () const
void | setWeight (double d)
bool | enabled () const
void | enable ()
void | disable ()

## Detailed Description

Supporting class for cTopology, represents a link in the graph.

## Member Function Documentation

void cTopology::Link::disable ( | )`[inline]`

| Disables this link. This has significance with the shortest path finder methods of cTopology.

void cTopology::Link::enable ( | )`[inline]`

| Enables this link. This has significance with the shortest path finder methods of cTopology.

bool cTopology::Link::enabled ( | ) const`[inline]`

| Returns true of this link is enabled. This has significance with the shortest path finder methods of cTopology.

void cTopology::Link::setWeight ( | double d )`[inline]`

| Sets the weight of this link. Weight is used with the weighted shortest path finder methods of cTopology.

double cTopology::Link::weight ( | ) const`[inline]`

| Returns the weight of this link. Weight is used with the weighted shortest path finder methods of cTopology.

The documentation for this class was generated from the following file:

- ctopo.h